Wind River Support Network

HomeDefectsLIN5-19990
Fixed

LIN5-19990 : Security Advisory - openssl - CVE-2014-3572

Created: Jan 14, 2015    Updated: Dec 19, 2017
Resolved Date: Jan 18, 2015
Found In Version: 5.0.1.22
Fix Version: 5.0.1.23
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The ssl3_get_key_exchange function in s3_clnt.c in OpenSSL before 0.9.8zd, 1.0.0 before 1.0.0p, and 1.0.1 before 1.0.1k allows remote SSL servers to conduct ECDHE-to-ECDH downgrade attacks and trigger a loss of forward secrecy by omitting the ServerKeyExchange message.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-3572

Other Downloads


Live chat
Online